package com.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.shigongli.constants.StatusConstant;
import com.shigongli.entity.SysUser;
import com.shigongli.mapper.SysUserMapper;
import com.shigongli.service.ISysUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 系统用户 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Service
public class SysUserServiceImpl extends ServiceImpl<SysUserMapper, SysUser> implements ISysUserService {

    @Override
    public SysUser getByOpenId(String openId) {
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<SysUser>()
                .eq("openid", openId)
                .eq("status", StatusConstant.NORMAL)
                .last("limit 1");
        return getOne(queryWrapper);
    }

    @Override
    public SysUser getByPhone(String phone) {
        QueryWrapper<SysUser> queryWrapper = new QueryWrapper<SysUser>()
                .eq("phone", phone)
                .eq("status", StatusConstant.NORMAL)
                .last("limit 1");
        return getOne(queryWrapper);
    }
}
